# -*- coding: utf-8 -*-
"""
/***************************************************************************
 FeatureFilterDatasetBuilder
                                 A QGIS plugin
 Builds a dataset for the DL-featurefilter model from annotated polygons
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                             -------------------
        begin                : 2021-08-19
        copyright            : (C) 2021 by Jonathan Gerbscheid, Het Waterschapshuis
        email                : j.gerbscheid@hetwaterschapshuis.nl
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load FeatureFilterDatasetBuilder class from file FeatureFilterDatasetBuilder.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .feature_filter_dataset_builder import FeatureFilterDatasetBuilder
    return FeatureFilterDatasetBuilder(iface)
